function ret_val = configModeProcessingConfig(camera, config_mode)
  % configModeProcessingConfig
  %   Get the processing config associated with the config mode
  %
  % Inputs:
  %   camera - Camera - Camera
  %   config_mode - ConfigMode - Config mode
  %
  % Output:
  %   ret_val - ProcessingConfig - Processing Config
  %

  ret_val = tof.mex('tof_config_mode_processing_config', camera.get_object_ptr(), uint32(config_mode));
  ret_val = tof.ProcessingConfig(ret_val);
end

